<div class="card top-buffer">
  <div class="card-header">
    Editing: {{ currentVideo | videoTitle }}
  </div>
  <div class="card-body">
    <div class="row">


      <div class="col-md-8">
        <div class="form-group row">
          <label for="title"
                 class="col-sm-2 col-form-label">
            Title
          </label>
          <div class="col-sm-10">
            <input id="title"
                   type="text"
                   required
                   maxlength="50"
                   minlength="5"
                   class="form-control"
                   [(ngModel)]="video.title"
                   #title="ngModel"

            />
            <div *ngIf="title.invalid && (title.dirty || title.touched)"
                 class="alert alert-danger">

              <div *ngIf="title.errors.required">
                Title is required.
              </div>
              <div *ngIf="title.errors.maxlength">
                The minimum length of the title is 20.
              </div>
              <div *ngIf="title.errors.minlength">
                The minimum length of the title is 5.
              </div>

            </div>
          </div>

        </div>

        <div class="form-group row">
          <label for="url"
                 class="col-sm-2 col-form-label">
            Url
          </label>
          <div class="col-sm-10">
            <input id="url"
                   type="url"
                   required
                   class="form-control"
                   isUrl=""
                   [(ngModel)]="video.url"
                   #url="ngModel"/>
            <div *ngIf="url.invalid && (url.dirty || url.touched)"
                 class="alert alert-danger">


              <div *ngIf="url.errors.required">
                Title is required.
              </div>
              <div *ngIf="url.errors.isUrl">
                The url format is not valid!
                <div *ngIf="url.errors.isUrl.invalidDomain">
                  The invalid domain is: {{url.errors.isUrl.invalidDomain}}
                </div>

              </div>


            </div>
          </div>

        </div>

        <div class="form-group row">
          <label for="description"
                 class="col-sm-2 col-form-label">
            Description
          </label>
          <div class="col-sm-10">
        <textarea id="description"
                  type="text"
                  required

                  class="form-control"
                  [(ngModel)]="video.description"></textarea>
          </div>
          <div class="">

          </div>
        </div>
        <div class="form-group row">
          <label for="url"
                 class="col-sm-2 col-form-label">
            Category
          </label>
          <div class="col-sm-10">
            <select  [(ngModel)]="video.category">
              <option *ngFor="let cat of categories" [ngValue]="cat.id">{{cat.title}}</option>
            </select>
          </div>
        </div>


        <div class="col-md-12">

          <button class="btn btn-xs btn-success"
                  *ngIf="!isEdit"
                  [disabled]="title.invalid || url.invalid"
                  (click)="save()">
            Create
          </button>

          <button class="btn btn-xs btn-primary"
                  *ngIf="isEdit"
                  (click)="edit()">
            Edit
          </button>

          <button class="btn btn-xs btn-default"
                  [routerLink]="['/view', video.title]">
            Cancel
          </button>
        </div>

      </div>

      <div class="col-md-4">
        <label class="col-md-12 col-form-label">
          Tags
        </label>
        <div class="col-md-12">
          <input id="tag"
                 type="text"
                 required
                 class="form-control"
                 placeholder="Filter tags | Enter tag (Enter)"
                 (keyup.enter)="addTag(tag.value)"
                 [(ngModel)]="newTag"
                 #tag="ngModel"/>
        </div>
        <div class="row col-md-12">

          <div *ngFor="let tag of video.tags | filter: newTag" class="left-buffer col-md-12">
            {{tag}}
            <a (click)="removeTag(tag)" class="clickable pull-right">x</a>
          </div>

        </div>

      </div>


    </div>
  </div>
</div>
